Bug 1674084 - [RFE] Auto-scaling PGs
Summary: [RFE] Auto-scaling PGs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 4.0
Assignee: Neha Ojha
QA Contact: Manohar Murthy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-02-09 01:53 UTC by Josh Durgin
Modified: 2020-01-31 12:46 UTC (History)
6 users (show)

Fixed In Version: ceph-14.2.4-55.el8cp, ceph-14.2.4-7.el7cp
Doc Type: Enhancement
Doc Text:
.Placement groups can now be auto-scaled {product} {release} introduces the ability to auto-scale placement groups (PGs). The number of placement groups (PGs) in a pool plays a significant role in how a cluster peers, distributes data, and rebalances. Auto-scaling the number of PGs can make managing the cluster easier. The new `pg-autoscaling` command provides recommendations for scaling PGs, or automatically scales PGs based on how the cluster is being used. For more details about auto-scaling PGs, see the link:{storage-strategies-guide}#auto-scaling-placement-groups[_Auto-scaling placement groups_] section in the _Storage Strategies Guide_ for {product} {release}.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:06 UTC

Description Josh Durgin 2019-02-09 01:53:25 UTC
Automatic adjustment of pg_num up or down based on usage and/or user hints about intended usage.

Comment 1 Giridhar Ramaraju 2019-08-05 13:05:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 2 Giridhar Ramaraju 2019-08-05 13:08:37 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 11 errata-xmlrpc 2020-01-31 12:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.